<template>
  <main-master-page class="home-view-background">
    <div class="welcome">
      <div>
        <h1>VeggieVibe</h1>
      </div>
      <div>
        <a>
          Explore our site and discover exciting content, amazing recipes,
          and much more. <br>
          Whether you're a seasoned chef or just starting your culinary journey, there's something
          for everyone.
        </a>
      </div>
      <div class="btnExpD">
        <button class="btnExp" @click="goTo">Explore</button>
      </div>
    </div>
  </main-master-page>
</template>

<script>
import MainMasterPage from '@/masterpages/MainMasterPage.vue';
export default {
  name: "HomeView",
  components: {
    MainMasterPage,
  },
  methods: {
    goTo() {
      this.$router.push({ name: 'recipes' });
    },
  },
};
</script>

<style scoped>
.home-view-background {
  background-image: url('~@/assets/background/pexels.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 100vh;
  color: white;



  .welcome {
    padding-left: 10vw;
    padding-right: 3vw;
    font-size: 200%;
    padding-top: 10vh;
  }

  .btnExpD {
    padding-top: 5vh;


    .btnExp {
      background-color: transparent;
      border: 2px solid white;
      cursor: pointer;
      overflow: hidden;
      border-radius: 30px;
      font-size: 150%;
      color: white;
      padding: 10px 20px;
      transition: background-color 0.3s, color 0.3s, border-color 0.3s;
      appearance: none;
      outline: none;
    }

    .btnExp:hover {
      background-color: white;
      transition: background-color 0.3s, color 0.3s, border-color 0.3s;
      color: green;
      border-color: transparent;
      border: 2px solid white;
    }
  }


}
</style>
